## ara 1.0.32

=== ledit/Makefile ===
# $Id: Makefile.ara,v 1.1 2004/10/26 09:44:54 berke Exp $

BASE = ..
LIB = ledit
LIBS =$(WITHUNIX)
SOURCES = cursor.ml ledit.ml

include Makefile.library

=== debian/changelog ===
ara (1.0.32) unstable; urgency=medium

  * QA upload.
  * Make the build reproducible. (Closes: #833610)
  * Bump Standards-Version to 3.9.8.

 -- Chris Lamb <lamby@debian.org>  Sat, 01 Oct 2016 22:48:49 +0100

=== debian/control ===
Source: ara
Section: utils
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 7), m4, 
               dh-ocaml (>= 0.9.1),
               ocaml-nox (>= 3.12.0), 
	       ocaml-best-compilers, 
	       camlp4 (>= 3.12), 
	       liblablgtk2-ocaml-dev (>= 2.12)
Standards-Version: 3.9.8
Vcs-Svn: svn://svn.debian.org/svn/ara/trunk
Vcs-Browser: http://svn.debian.org/wsvn/ara/trunk
Homepage: http://ara.alioth.debian.org/

Package: ara
Architecture: any
Depends: ${shlibs:Depends}, ${ocaml:Depends}, ${misc:Depends}
Provides: ara-byte
Conflicts: ara-byte
Replaces: ara-byte
Recommends: sudo, apt
Suggests: a2ps
Description: Command line utility for searching the Debian package database
 ara is a utility for searching the Debian package database using
 boolean regexp queries.
 .
 ara can perform sophisticated searches on that database. It is possible
 to use any field of the package database as a search criterion and any
 boolean combination thereof.
 .
 ara can also call APT (or any user-configurable command) to install or
 remove packages matching a query.

Package: xara-gtk
Architecture: any
Depends: ${shlibs:Depends}, ${ocaml:Depends}, ${misc:Depends}
Provides: xara-gtk-byte
Conflicts: xara-gtk-byte
Replaces: xara-gtk-byte
Recommends: sudo, apt
Suggests: a2ps
Description: GTK+ utility for searching the Debian package database
 ara is a utility for searching the Debian package database using
 boolean regexp queries.
 .
 ara can perform sophisticated searches on that database. It is possible
 to use any field of the package database as a search criterion and any
 boolean combination thereof.
 .
 ara can also call APT (or any user-configurable command) to install or
 remove packages matching a query.

## ara 1.0.33

=== cli/Makefile ===
# Makefile

BASE = ..
EXEC = ara
LIBS = $(WITHUNIX) $(WITHTHREADS) $(WITHSTR) $(WITHUTIL) \
       $(WITHLEDIT) $(WITHARA) $(WITHCOMMON) $(WITHCONFIGFILE)
SOURCES = debug.ml opt.ml config.ml wrap.ml pager.ml dump.ml cli.ml 

include Makefile.exec

=== doc/Makefile ===
# Makefile

.PHONY: all

all: ara.1 xara.1

ara.1: ara.m4
	m4 -D"m4_ara=ara" -P ara.m4 | sed -e "s/&apos;/'/g" >ara.1

xara.1: ara.m4
	m4 -D"m4_ara=xara" -P ara.m4 | sed -e "s/&apos;/'/g" >xara.1

clean:
	@rm -f ara.1 xara.1

=== libara/Makefile ===
# $Id: Makefile.ara,v 1.1 2004/10/26 09:44:54 berke Exp $

BASE = ..
LIB = ara
LIBS = $(WITHSTR) $(WITHUNIX) $(WITHUTIL)
SOURCES = ast.ml syntax.mly lexic.mli lexic.mll slurp.ml debver.mli debver.ml \
	  virtual_strings.mli virtual_strings.ml rle.ml dpkg.ml ara.ml
EXTRA_CLEAN = syntax.ml syntax.mli lexic.ml

include Makefile.library

=== util/Makefile ===
# $Id$

BASE = ..
LIB = util
LIBS =$(WITHUNIX)
SOURCES = util.ml publication.ml

include Makefile.library

=== debian/changelog ===
ara (1.0.33) unstable; urgency=medium

  * QA upload
  * Fix FTBFS with OCaml 4.05.0

 -- Stéphane Glondu <glondu@debian.org>  Thu, 20 Jul 2017 13:37:11 +0200

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# debian/rules for ara package.
#
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.
#
# Modified to make a template file for a multi-binary package with separated
# build-arch and build-indep targets  by Bill Allombert 2001

include /usr/share/ocaml/ocamlvars.mk

TMPDIR = $(CURDIR)/debian/tmp

ifeq ($(OCAML_HAVE_OCAMLOPT),yes)
OCAML_INTERPRETER=
else
OCAML_INTERPRETER=ocaml-base-nox-$(OCAML_ABI)
endif

build: build-stamp
build-stamp: 
ifeq ($(OCAML_HAVE_OCAMLOPT),yes)
	if [ -x /usr/bin/ocamlopt.opt ]; then \
	    $(MAKE) OPT=.opt ; \
        else \
	    $(MAKE) ; \
	fi
else
	if [ -x /usr/bin/ocamlc.opt ]; then \
	    $(MAKE) OPT=.opt bt ; \
	else \
	    $(MAKE) bt ; \
	fi
endif
	$(MAKE) doc
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	$(MAKE) clean
	-$(RM) -r $(TMPDIR)
	-$(RM) build-stamp
	dh_clean

install: build-stamp
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	mkdir -p $(TMPDIR)
ifeq ($(OCAML_HAVE_OCAMLOPT),yes)
	$(MAKE) install DESTDIR=$(TMPDIR)
else
	$(MAKE) install_bt DESTDIR=$(TMPDIR)
endif

binary-indep: 

binary-arch: build install
	dh_testdir -a
	dh_testroot -a
	dh_installchangelogs -a
	dh_install --list-missing -a
	dh_installdocs -a
	dh_installexamples -a
	dh_installmenu -a
	dh_installman -a
	dh_installinfo -a
	dh_link -a
	dh_compress -a
	dh_fixperms -a
	dh_strip -a
	dh_makeshlibs -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_ocaml -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-arch binary-indep
.PHONY: build clean binary-indep binary-arch binary install

## ara cli-0.1.9.91

=== docker/base/requirements.txt ===
litellm
llama-index
llama-index-llms-openai
llama-index-retrievers-bm25
openai
markdown-it-py
json-repair
argparse
argcomplete
cmd2>=2.5
pydantic
pydantic_ai
python-docx
pymupdf4llm
